Help with "sudo yum update"

Lucélio Gomes de Freitas aa.lucelio at gmail.com
Wed Nov 30 21:54:08 UTC 2011


T.C.,

Sorry for the big E-mail.   Same thing:
=================================================================
[Lucelio at MAQ02 ~]$ sudo yum clean all
Plugins carregados: refresh-packagekit
Limpando tudo
[Lucelio at MAQ02 ~]$ sudo yum update
Plugins carregados: refresh-packagekit
Webmin                                                      |  951 B    
00:00    
Webmin/primary                                         |  12 kB    
00:00    
Webmin                                                                             
95/95
adobe-linux-i386                                         |  951 B    
00:00    
adobe-linux-i386/primary                            |  11 kB     00:00    
adobe-linux-i386                                                                 
17/17
fedora                                                         | 4.2
kB     00:00    
fedora/primary_db                                      |  14 MB    
00:07    
google-talkplugin                                         |  951 B    
00:00    
google-talkplugin/primary                            | 1.6 kB     00:00    
google-talkplugin                                                                 
1/1
kde                                                              | 2.1
kB     00:00    
kde/primary_db                                           | 199 kB    
00:01    
kde-all                                                          | 1.9
kB     00:00    
kde-all/primary_db                                       |  81 kB    
00:00    
rpmfusion-free                                            | 2.7 kB    
00:00    
rpmfusion-free/primary_db                          | 373 kB     00:06    
rpmfusion-free-updates                               | 3.3 kB     00:00    
rpmfusion-free-updates/primary_db            |  28 kB     00:00    
rpmfusion-nonfree                                      | 2.7 kB    
00:00    
rpmfusion-nonfree/primary_db                   | 111 kB     00:01    
rpmfusion-nonfree-updates                        | 3.3 kB     00:00    
rpmfusion-nonfree-updates/primary_db      |  28 kB     00:00    
updates/metalink                                         |  44 kB    
00:00    
updates                                                       | 4.7
kB     00:00    
updates/primary_db                                    | 2.5 MB     00:01    
virtualbox                                                    |  951
B     00:00    
virtualbox/primary                                       | 1.8 kB    
00:00    
virtualbox                                                                             
1/1
Configurando o processo de atualização
Resolvendo dependências
--> Executando verificação da transação
---> Package gtk2.i686 0:2.24.7-3.fc16 will be atualizado
---> Package gtk2.i686 0:2.24.8-2.fc16 will be an update
---> Package preupgrade.noarch 0:1.1.9-1.fc16 will be atualizado
---> Package preupgrade.noarch 0:1.1.10-1.fc16 will be an update
--> Resolução de dependências finalizada
Error: Protected multilib versions: gtk2-2.24.8-2.fc16.i686 !=
gtk2-2.24.7-3.fc16.x86_64
[Lucelio at MAQ02 ~]$ sudo yum info gtk2
Plugins carregados: refresh-packagekit
Pacotes instalados
Nome        : gtk2
Arquitetura        : i686
Versão     : 2.24.7
Lançamento     : 3.fc16
Tamanho        : 13 M
Repo        : installed
Do repositório   : anaconda-0
Sumário     : GIMP ToolKit (GTK+), uma biblioteca para criar GUIs para o X.
URL         : http://www.gtk.org
Licença     : LGPLv2+
Descrição : O GTK+ é uma ferramenta multi-plataforma para criar
interfaces gráficas para o
          : usuário. Ao oferecer um conjunto completo de ítens gráficos,
o GTK+ é
          : adequado para os projetos que vão de pequenas ferramentas a
pacotes
          : de aplicações completos.

Nome        : gtk2
Arquitetura        : x86_64
Versão     : 2.24.7
Lançamento     : 3.fc16
Tamanho        : 13 M
Repo        : installed
Do repositório   : anaconda-0
Sumário     : GIMP ToolKit (GTK+), uma biblioteca para criar GUIs para o X.
URL         : http://www.gtk.org
Licença     : LGPLv2+
Descrição : O GTK+ é uma ferramenta multi-plataforma para criar
interfaces gráficas para o
          : usuário. Ao oferecer um conjunto completo de ítens gráficos,
o GTK+ é
          : adequado para os projetos que vão de pequenas ferramentas a
pacotes
          : de aplicações completos.

Nome        : gtk2
Arquitetura        : x86_64
Versão     : 2.24.8
Lançamento     : 2.fc16
Tamanho        : 13 M
Repo        : installed
Sumário     : GIMP ToolKit (GTK+), uma biblioteca para criar GUIs para o X.
URL         : http://www.gtk.org
Licença     : LGPLv2+
Descrição : O GTK+ é uma ferramenta multi-plataforma para criar
interfaces gráficas para o
          : usuário. Ao oferecer um conjunto completo de ítens gráficos,
o GTK+ é
          : adequado para os projetos que vão de pequenas ferramentas a
pacotes
          : de aplicações completos.

Pacotes disponíveis
Nome        : gtk2
Arquitetura        : i686
Versão     : 2.24.8
Lançamento     : 2.fc16
Tamanho        : 3.2 M
Repo        : updates
Sumário     : GIMP ToolKit (GTK+), uma biblioteca para criar GUIs para o X.
URL         : http://www.gtk.org
Licença     : LGPLv2+
Descrição : O GTK+ é uma ferramenta multi-plataforma para criar
interfaces gráficas para o
          : usuário. Ao oferecer um conjunto completo de ítens gráficos,
o GTK+ é
          : adequado para os projetos que vão de pequenas ferramentas a
pacotes
          : de aplicações completos.

[Lucelio at MAQ02 ~]$
=================================================================

Em 30-11-2011 19:34, T.C. Hollingsworth escreveu:
> 2011/11/30 Lucélio Gomes de Freitas <aa.lucelio at gmail.com>:
>> Hi everybody,
>>
>> I've never seen an error like this. Anybody helps?
>> =================================================================
>> [Lucelio at MAQ02 ~]$ uname -r
>> 3.1.2-1.fc16.x86_64
>> [Lucelio at MAQ02 ~]$ sudo yum update
>> Plugins carregados: refresh-packagekit
>> Configurando o processo de atualização
>> Resolvendo dependências
>> - --> Executando verificação da transação
>> - ---> Package gtk2.i686 0:2.24.7-3.fc16 will be atualizado
>> - ---> Package gtk2.i686 0:2.24.8-2.fc16 will be an update
>> - ---> Package preupgrade.noarch 0:1.1.9-1.fc16 will be atualizado
>> - ---> Package preupgrade.noarch 0:1.1.10-1.fc16 will be an update
>> - --> Resolução de dependências finalizada
>> Error: Protected multilib versions: gtk2-2.24.8-2.fc16.i686 !=
>> gtk2-2.24.7-3.fc16.x86_64
>> [Lucelio at MAQ02 ~]$
>> =================================================================
>> So I can't update the system.
>
> Hmm, for some reason YUM finds an update for i686 gtk2 but not x86_64
> gtk2. AFAICT, gtk2-2.24.8-2.fc16 is in the updates repo for both
> arches.
>
> Run "yum clean all" and try again. If it still fails, provide the
> output of "yum info gtk2".
>
> -T.C.

-- 
Lucélio Gomes de Freitas
ETFCSF-> U.G.F.-> P.U.C.(RJ)
Engº, Analista Suporte(Free Mind).
Email: aa.lucelio at gmail.com
Tel: 55 0XX 21 85964911

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.fedoraproject.org/pipermail/users/attachments/20111130/6af534ca/attachment.html 


More information about the users mailing list